Subject: Re: bug#54433: 29.0.50; Invalid read syntax: "#<" with async-bytecomp

From: Michael Heerdegen <[email-masked]>
Date: Thu, 24 Mar 2022 02:38:14 +0100

Thierry Volpiatto <[email-masked]> writes:

> > I think that all the byte-* variables are connected with byte
> > compilation.  But I also think that they are (?nearly?) all internal
> > variables, so it shouldn't be needed to copy them to an aynchronous
> > thread (?or process?).
>
> Thanks to confirm this.

I can confirm that the problem has been fixed well in the "async"
package, and we have found that everything in Emacs is working as
expected.  So I'm closing this report.  Thanks to everybody involved!

Michael.